#include "widget.h"
#include "ui_widget.h"


// ---------------- INITIALISATION -------------
Widget::Widget(QWidget *parent)
    : QWidget(parent), ui(new Ui::Widget)
{
    ui->setupUi(this);          // prise en compte de l'interface utilisateur


}

Widget::~Widget()
{
    delete ui;  // à la fin on libère la mémoire
}

// évènement de repainture de la fenêtre
void Widget::paintEvent(QPaintEvent *event)
{
  QPainter painter(this);

  painter.drawEllipse(50, 50, 20, 20);
  painter.setPen(QColor(255, 0, 0));
  painter.drawLine(200,100,100,300);
  painter.drawLine(300,100,100,300);

  painter.setRenderHint(QPainter::Antialiasing, true);
painter.setPen(QPen(Qt::black, 12, Qt::DashDotLine, Qt::RoundCap));
painter.setBrush(QBrush(Qt::green, Qt::SolidPattern));
painter.drawEllipse(500, 200, 60, 40);



}





void Widget::on_pushButton_clicked()
{
repaint();
}
